You are not logged in.

#1 2012-04-15 11:58:44

Micah89
Member
Registered: 2011-05-01
Posts: 29

Unable to update jre7-openjdk-headless

Hey,

Today i tried to update the system with the following:

:: Synchronizing package databases...
 core is up to date
 extra                   1386.5 KiB   819K/s 00:02 [######################] 100%
 community               1638.2 KiB   752K/s 00:02 [######################] 100%
 multilib                  86.4 KiB   359K/s 00:00 [######################] 100%
:: Starting full system upgrade...
resolving dependencies...
:: There are 2 providers available for java-runtime-headless:
:: Repository extra
   1) jre7-openjdk-headless  2) openjdk6

Enter a number (default=1): 
warning: dependency cycle detected:
warning: rhino will be installed before its jre7-openjdk-headless dependency
looking for inter-conflicts...

Targets (5): ca-certificates-java-20120225-1
             jre7-openjdk-headless-7.b147_2.1-3  lib32-dbus-core-1.4.20-1
             lucene-2.9.4-3  rhino-1.7R3-2

But after downloading the packages i got the following error:

error: failed to commit transaction (conflicting files)
jre7-openjdk-headless: /etc/profile.d/jre.csh exists in filesystem
jre7-openjdk-headless: /etc/profile.d/jre.sh exists in filesystem
Errors occurred, no packages were upgraded.

Has anyone got this problem?

Thank you!!

Last edited by Micah89 (2012-04-15 11:59:18)

Offline

#2 2012-04-15 12:46:44

karol
Archivist
Registered: 2009-05-06
Posts: 25,431

Re: Unable to update jre7-openjdk-headless

What package owns these files?

Offline

#3 2012-04-16 01:58:07

hexanol
Member
From: Canaduh
Registered: 2009-08-04
Posts: 95

Re: Unable to update jre7-openjdk-headless

I've got the same issue.

As to what package owns these files:

# pacman -Qo /etc/profile.d/jre.{c,}sh
/etc/profile.d/jre.csh is owned by jre 7-3
/etc/profile.d/jre.sh is owned by jre 7-3

Offline

#4 2012-04-16 08:40:41

ziopera
Member
Registered: 2006-10-27
Posts: 8

Re: Unable to update jre7-openjdk-headless

+1 on this issue.

simone@orion:~$ LANG="C" sudo pacman -Su
:: Starting full system upgrade...
[...]
(23/23) checking for file conflicts                                                                        [######################] 100%
error: failed to commit transaction (conflicting files)
jre7-openjdk-headless: /etc/profile.d/jre.csh exists in filesystem
jre7-openjdk-headless: /etc/profile.d/jre.sh exists in filesystem
Errors occurred, no packages were upgraded.

The ownership of the files is the same:

simone@orion:~$ LANG="C" pacman -Qo /etc/profile.d/jre.{c,}sh
/etc/profile.d/jre.csh is owned by jre 7-3
/etc/profile.d/jre.sh is owned by jre 7-3

Offline

#5 2012-04-16 08:53:42

aurelieng
Member
Registered: 2010-02-02
Posts: 80

Re: Unable to update jre7-openjdk-headless

Same here. Maybe it's worth creating a bug report (I couldn't find any) ?

Offline

#6 2012-04-16 10:57:42

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 4,322

Re: Unable to update jre7-openjdk-headless

ziopera wrote:

simone@orion:~$ LANG="C" pacman -Qo /etc/profile.d/jre.{c,}sh
/etc/profile.d/jre.csh is owned by jre 7-3
/etc/profile.d/jre.sh is owned by jre 7-3

That is a weird packagename,
i have searched for jre and official repos only have jre7-openjdk & jre7-openjdk-headerless .
Aur does have a package jre , but that uses version 7u3 .

what does

pacman -Qs jre 

output ?


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#7 2012-04-16 11:45:25

karol
Archivist
Registered: 2009-05-06
Posts: 25,431

Re: Unable to update jre7-openjdk-headless

They might be using a package from some unofficial repo.
adslgr32 has jre 7-4.

Last edited by karol (2012-04-16 11:46:31)

Offline

#8 2012-04-16 12:05:17

javonera
Member
Registered: 2007-05-28
Posts: 16

Re: Unable to update jre7-openjdk-headless

This seems to solve it:

pacman -Rdd jre jdk
pacman -S jre7-openjdk jdk7-openjdk

Offline

#9 2012-04-16 12:14:16

aurelieng
Member
Registered: 2010-02-02
Posts: 80

Re: Unable to update jre7-openjdk-headless

javonera wrote:

This seems to solve it:

pacman -Rdd jre jdk
pacman -S jre7-openjdk jdk7-openjdk

This solved it for me too smile Tanks !

Last edited by aurelieng (2012-04-16 12:16:49)

Offline

#10 2012-04-16 12:15:43

jeff story
Member
Registered: 2009-05-31
Posts: 237
Website

Re: Unable to update jre7-openjdk-headless

Similar problem updating.  I have jre 7-3 from AUR http://aur.archlinux.org/packages.php?ID=51908

Ima try updating jre 7-3 to 7u3-1 with packer before pacman -Syu.


[jeff@Arch2010p5 ~]$ sudo pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
:: Replace sqlite3 with extra/sqlite? [Y/n] y
resolving dependencies...
:: There are 2 providers available for java-runtime-headless:
:: Repository extra
   1) jre7-openjdk-headless  2) openjdk6

Enter a number (default=1): 1
warning: dependency cycle detected:
warning: rhino will be installed before its jre7-openjdk-headless dependency
looking for inter-conflicts...

Targets (49): automake-1.11.4-1  avahi-0.6.31-2  ca-certificates-java-20120225-1  consolekit-0.4.6-2  dbus-1.4.20-1  dbus-core-1.4.20-2  dbus-python-1.0.0-1
              deluge-1.3.5-1  dirmngr-1.1.0-4  firefox-11.0-3  garcon-0.1.12-1  gawk-4.0.1-1  gcc-4.7.0-4  gcc-libs-4.7.0-4  gparted-0.12.1-1  help2man-1.40.8-1
              hplip-3.12.2-3  jre7-openjdk-headless-7.b147_2.1-3  libevent-2.0.18-1  libgphoto2-2.4.13-2  libmtp-1.1.3-1  libmysqlclient-5.5.23-1
              libpciaccess-0.13.1-1  libtorrent-rasterbar-0.16.0-1  libupnp-1.6.17-1  libwbclient-3.6.4-1  linux-3.3.2-1  linux-headers-3.3.2-1
              lirc-utils-1:0.9.0-15  lucene-2.9.4-3  man-pages-3.38-1  mkinitcpio-0.8.7-2  nvidia-295.40-2  nvidia-utils-295.40-1  opencl-nvidia-295.40-1
              qt-4.8.1-2  readline-6.2.002-2  rhino-1.7R3-2  smbclient-3.6.4-1  smplayer-0.8.0-1  sqlite-3.7.11-2  sqlite3-3.7.11-1 [removal]  thunderbird-11.0.1-2
              udev-182-1  xfce4-power-manager-1.0.11-2  xfsprogs-3.1.8-1  xorg-server-1.12.1-1  xorg-server-common-1.12.1-1  xorg-server-xnest-1.12.1-1

Total Download Size:    210.62 MiB
Total Installed Size:   740.88 MiB
Net Upgrade Size:       79.42 MiB

Proceed with installation? [Y/n] y
:: Retrieving packages from core...
 automake-1.11.4-1-any                                                     555.5 KiB  1151K/s 00:00 [##########################################################] 100%
 dbus-core-1.4.20-2-x86_64                                                 394.3 KiB  1373K/s 00:00 [##########################################################] 100%
 dirmngr-1.1.0-4-x86_64                                                    163.9 KiB  1382K/s 00:00 [##########################################################] 100%
 readline-6.2.002-2-x86_64                                                 294.9 KiB  1375K/s 00:00 [##########################################################] 100%
 libevent-2.0.18-1-x86_64                                                  272.9 KiB  1376K/s 00:00 [##########################################################] 100%
 gawk-4.0.1-1-x86_64                                                       792.4 KiB  1371K/s 00:01 [##########################################################] 100%
 gcc-libs-4.7.0-4-x86_64                                                   769.5 KiB  1372K/s 00:01 [##########################################################] 100%
 gcc-4.7.0-4-x86_64                                                         18.3 MiB  1369K/s 00:14 [##########################################################] 100%
 mkinitcpio-0.8.7-2-any                                                     22.5 KiB  1456K/s 00:00 [##########################################################] 100%
 linux-3.3.2-1-x86_64                                                       39.5 MiB  1369K/s 00:30 [##########################################################] 100%
 linux-headers-3.3.2-1-x86_64                                                4.7 MiB  1369K/s 00:04 [##########################################################] 100%
 man-pages-3.38-1-any                                                        4.4 MiB  1369K/s 00:03 [##########################################################] 100%
 udev-182-1-x86_64                                                         204.1 KiB   578K/s 00:00 [##########################################################] 100%
 xfsprogs-3.1.8-1-x86_64                                                   612.6 KiB  1366K/s 00:00 [##########################################################] 100%
:: Retrieving packages from extra...
 dbus-1.4.20-1-x86_64                                                       22.8 KiB  1479K/s 00:00 [##########################################################] 100%
 avahi-0.6.31-2-x86_64                                                     405.9 KiB  1346K/s 00:00 [##########################################################] 100%
 consolekit-0.4.6-2-x86_64                                                  87.0 KiB  1201K/s 00:00 [##########################################################] 100%
 dbus-python-1.0.0-1-x86_64                                                106.5 KiB  1213K/s 00:00 [##########################################################] 100%
 libtorrent-rasterbar-0.16.0-1-x86_64                                        2.4 MiB  1370K/s 00:02 [##########################################################] 100%
 deluge-1.3.5-1-any                                                          2.1 MiB  1370K/s 00:02 [##########################################################] 100%
 sqlite-3.7.11-2-x86_64                                                    389.9 KiB  1333K/s 00:00 [##########################################################] 100%
 firefox-11.0-3-x86_64                                                      13.9 MiB  1334K/s 00:11 [##########################################################] 100%
 garcon-0.1.12-1-x86_64                                                     81.1 KiB  1392K/s 00:00 [##########################################################] 100%
 gparted-0.12.1-1-x86_64                                                  1322.3 KiB  1371K/s 00:01 [##########################################################] 100%
 help2man-1.40.8-1-x86_64                                                   72.7 KiB  1364K/s 00:00 [##########################################################] 100%
 hplip-3.12.2-3-x86_64                                                      13.6 MiB  1368K/s 00:10 [##########################################################] 100%
 libgphoto2-2.4.13-2-x86_64                                               1079.7 KiB  1370K/s 00:01 [##########################################################] 100%
 libmtp-1.1.3-1-x86_64                                                     169.2 KiB  1384K/s 00:00 [##########################################################] 100%
 libmysqlclient-5.5.23-1-x86_64                                              3.0 MiB  1369K/s 00:02 [##########################################################] 100%
 libpciaccess-0.13.1-1-x86_64                                               23.6 KiB  1437K/s 00:00 [##########################################################] 100%
 libupnp-1.6.17-1-x86_64                                                   161.7 KiB  1380K/s 00:00 [##########################################################] 100%
 libwbclient-3.6.4-1-x86_64                                                 19.1 KiB  1458K/s 00:00 [##########################################################] 100%
 lirc-utils-1:0.9.0-15-x86_64                                              272.3 KiB  1375K/s 00:00 [##########################################################] 100%
 ca-certificates-java-20120225-1-any                                         3.3 KiB  2.98M/s 00:00 [##########################################################] 100%
 rhino-1.7R3-2-any                                                        1012.1 KiB  1369K/s 00:01 [##########################################################] 100%
 jre7-openjdk-headless-7.b147_2.1-3-x86_64                                  20.8 MiB  1369K/s 00:16 [##########################################################] 100%
 lucene-2.9.4-3-any                                                          9.0 MiB  1329K/s 00:07 [##########################################################] 100%
 xorg-server-common-1.12.1-1-x86_64                                         25.0 KiB  1417K/s 00:00 [##########################################################] 100%
 xorg-server-1.12.1-1-x86_64                                              1267.5 KiB  1371K/s 00:01 [##########################################################] 100%
 nvidia-utils-295.40-1-x86_64                                                9.2 MiB  1369K/s 00:07 [##########################################################] 100%
 nvidia-295.40-2-x86_64                                                      4.5 MiB  1369K/s 00:03 [##########################################################] 100%
 opencl-nvidia-295.40-1-x86_64                                               9.7 MiB  1333K/s 00:07 [##########################################################] 100%
 qt-4.8.1-2-x86_64                                                          19.8 MiB  1369K/s 00:15 [##########################################################] 100%
 smbclient-3.6.4-1-x86_64                                                    7.6 MiB  1369K/s 00:06 [##########################################################] 100%
 smplayer-0.8.0-1-x86_64                                                  1704.2 KiB  1370K/s 00:01 [##########################################################] 100%
 thunderbird-11.0.1-2-x86_64                                                15.2 MiB  1369K/s 00:11 [##########################################################] 100%
 xfce4-power-manager-1.0.11-2-x86_64                                       515.2 KiB  1139K/s 00:00 [##########################################################] 100%
 xorg-server-xnest-1.12.1-1-x86_64                                         584.7 KiB  1371K/s 00:00 [##########################################################] 100%
(48/48) checking package integrity                                                                  [##########################################################] 100%
(48/48) loading package files                                                                       [##########################################################] 100%
(48/48) checking for file conflicts                                                                 [##########################################################] 100%
error: failed to commit transaction (conflicting files)
jre7-openjdk-headless: /etc/profile.d/jre.csh exists in filesystem
jre7-openjdk-headless: /etc/profile.d/jre.sh exists in filesystem
Errors occurred, no packages were upgraded.
[jeff@Arch2010p5 ~]$ sudo pacman -Syu
Password: 
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
:: Replace sqlite3 with extra/sqlite? [Y/n] y
resolving dependencies...
:: There are 2 providers available for java-runtime-headless:
:: Repository extra
   1) jre7-openjdk-headless  2) openjdk6

Enter a number (default=1): 2
looking for inter-conflicts...
:: openjdk6 and jre are in conflict (java-runtime). Remove jre? [y/N] n
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: openjdk6 and jre are in conflict
[jeff@Arch2010p5 ~]$ pacman -Qs jre 
local/jre 7-3
    Oracle's Java Runtime Environment

Check out my website for info on the Arch Linux Installer

Offline

#11 2012-04-16 12:34:50

jeff story
Member
Registered: 2009-05-31
Posts: 237
Website

Re: Unable to update jre7-openjdk-headless

Updating AUR package jre 7-3 to 7u3-1 prior to pacman -Syu worked for me.

Ended up manually updating  jre 7-3 to 7u3-1 as packer said it was up to date.

[jeff@Arch2010p5 jre]$ makepkg
==> Making package: jre 7u3-1 (Mon Apr 16 05:20:52 PDT 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Downloading jre-7u3-linux-x64.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 30.9M  100 30.9M    0     0  1202k      0  0:00:26  0:00:26 --:--:-- 1341k
  -> Found java-policy-settings.desktop
  -> Found jre.sh
  -> Found jre.csh
  -> Found javaws-launcher
==> Validating source files with md5sums...
    jre-7u3-linux-x64.tar.gz ... Passed
    java-policy-settings.desktop ... Passed
    jre.sh ... Passed
    jre.csh ... Passed
    javaws-launcher ... Passed
==> Extracting Sources...
  -> Extracting jre-7u3-linux-x64.tar.gz with bsdtar
==> Entering fakeroot environment...
==> Starting package()...
  -> Creating required dirs
  -> Re-ordering folders a bit
  -> Removing empty and redundant dirs
  -> Moving stuff in place
  -> Symlinking the plugin
  -> Installing scripts, .desktop file and licenses
  -> Tweaking the javaws .desktop file
==> Tidying install...
  -> Purging unwanted files...
  -> Compressing man and info pages...
  -> Stripping unneeded symbols from binaries and libraries...
==> Creating package...
  -> Generating .PKGINFO file...
  -> Adding install file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: jre 7u3-1 (Mon Apr 16 05:22:31 PDT 2012)
[jeff@Arch2010p5 jre]$ sudo pacman -U jre-7u3-1-x86_64.pkg.tar.xz
Password: 
loading packages...
warning: downgrading package jre (7-3 => 7u3-1)
resolving dependencies...
looking for inter-conflicts...

Targets (1): jre-7u3-1

Total Installed Size:   85.88 MiB
Net Upgrade Size:       -7.37 MiB

Proceed with installation? [Y/n] y
(1/1) checking package integrity                   [######################] 100%
(1/1) loading package files                        [######################] 100%
(1/1) checking for file conflicts                  [######################] 100%
(1/1) checking available disk space                [######################] 100%
(1/1) upgrading jre                                [######################] 100%
warning: /etc/profile.d/jre.csh installed as /etc/profile.d/jre.csh.pacnew
warning: /etc/profile.d/jre.sh installed as /etc/profile.d/jre.sh.pacnew
New optional dependencies for jre
    alsa-lib: sound support
    ttf-dejavu: fonts
[jeff@Arch2010p5 ~]$ sudo pacman -Syu
Password: 
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community                                                                1639.7 KiB  1256K/s 00:01 [##########################################################] 100%
:: Starting full system upgrade...
:: Replace sqlite3 with extra/sqlite? [Y/n] y
resolving dependencies...
looking for inter-conflicts...

Targets (47): automake-1.11.4-1  avahi-0.6.31-2  consolekit-0.4.6-2  dbus-1.4.20-1  dbus-core-1.4.20-2  dbus-python-1.0.0-1  deluge-1.3.5-1  dirmngr-1.1.0-4
              firefox-11.0-3  garcon-0.1.12-1  gawk-4.0.1-1  gcc-4.7.0-4  gcc-libs-4.7.0-4  gparted-0.12.1-1  help2man-1.40.8-1  hplip-3.12.2-3  libevent-2.0.18-1
              libgphoto2-2.4.13-2  libmtp-1.1.3-1  libmysqlclient-5.5.23-1  libpciaccess-0.13.1-1  libtorrent-rasterbar-0.16.0-1  libupnp-1.6.17-1
              libwbclient-3.6.4-1  linux-3.3.2-1  linux-headers-3.3.2-1  lirc-utils-1:0.9.0-15  lucene-2.9.4-3  man-pages-3.38-1  mkinitcpio-0.8.7-2
              nvidia-295.40-2  nvidia-utils-295.40-1  opencl-nvidia-295.40-1  qt-4.8.1-2  readline-6.2.002-2  recoll-1.17.1-1  smbclient-3.6.4-1  smplayer-0.8.0-1
              sqlite-3.7.11-2  sqlite3-3.7.11-1 [removal]  thunderbird-11.0.1-2  udev-182-1  xfce4-power-manager-1.0.11-2  xfsprogs-3.1.8-1  xorg-server-1.12.1-1
              xorg-server-common-1.12.1-1  xorg-server-xnest-1.12.1-1

Total Download Size:    1.02 MiB
Total Installed Size:   655.01 MiB
Net Upgrade Size:       -10.09 MiB

Proceed with installation? [Y/n] y
:: Retrieving packages from community...
 recoll-1.17.1-1-x86_64                                                   1044.2 KiB  1241K/s 00:01 [##########################################################] 100%
(46/46) checking package integrity                                                                  [##########################################################] 100%
(46/46) loading package files                                                                       [##########################################################] 100%
(46/46) checking for file conflicts                                                                 [##########################################################] 100%
(47/47) checking available disk space                                                               [##########################################################] 100%
(1/1) removing sqlite3                                                                              [##########################################################] 100%
( 1/46) upgrading automake                                                                          [##########################################################] 100%
( 2/46) upgrading dbus-core                                                                         [##########################################################] 100%
( 3/46) upgrading dbus                                                                              [##########################################################] 100%
( 4/46) upgrading avahi                                                                             [##########################################################] 100%
( 5/46) upgrading consolekit                                                                        [##########################################################] 100%
( 6/46) upgrading dbus-python                                                                       [##########################################################] 100%
New optional dependencies for dbus-python
    dbus-glib: glib mainloop support
( 7/46) upgrading libtorrent-rasterbar                                                              [##########################################################] 100%
( 8/46) upgrading deluge                                                                            [##########################################################] 100%
( 9/46) upgrading dirmngr                                                                           [##########################################################] 100%
(10/46) upgrading readline                                                                          [##########################################################] 100%
(11/46) installing sqlite                                                                           [##########################################################] 100%
(12/46) upgrading libevent                                                                          [##########################################################] 100%
(13/46) upgrading firefox                                                                           [##########################################################] 100%
(14/46) upgrading garcon                                                                            [##########################################################] 100%
(15/46) upgrading gawk                                                                              [##########################################################] 100%
(16/46) upgrading gcc-libs                                                                          [##########################################################] 100%
(17/46) upgrading gcc                                                                               [##########################################################] 100%
(18/46) upgrading gparted                                                                           [##########################################################] 100%
(19/46) upgrading help2man                                                                          [##########################################################] 100%
(20/46) upgrading hplip                                                                             [##########################################################] 100%
New optional dependencies for hplip
    python2-pyqt: for running hp-toolbox
(21/46) upgrading libgphoto2                                                                        [##########################################################] 100%
Users no longer need to be in the 'camera' group to use camera devices
(22/46) upgrading libmtp                                                                            [##########################################################] 100%
(23/46) upgrading libmysqlclient                                                                    [##########################################################] 100%
(24/46) upgrading libpciaccess                                                                      [##########################################################] 100%
(25/46) upgrading libupnp                                                                           [##########################################################] 100%
(26/46) upgrading libwbclient                                                                       [##########################################################] 100%
(27/46) upgrading mkinitcpio                                                                        [##########################################################] 100%
(28/46) upgrading linux                                                                             [##########################################################] 100%
>>> Updating module dependencies. Please wait ...
>>> Generating initial ramdisk, using mkinitcpio.  Please wait...
==> Building image from preset: 'default'
  -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 3.3.2-1-ARCH
  -> Parsing hook: [base]
  -> Parsing hook: [udev]
  -> Parsing hook: [autodetect]
  -> Parsing hook: [pata]
  -> Parsing hook: [scsi]
  -> Parsing hook: [sata]
  -> Parsing hook: [filesystems]
  -> Parsing hook: [usbinput]
  -> Parsing hook: [fsck]
==> Generating module dependencies
==> Creating gzip initcpio image: /boot/initramfs-linux.img
==> Image generation successful
==> Building image from preset: 'fallback'
  -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
==> Starting build: 3.3.2-1-ARCH
  -> Parsing hook: [base]
  -> Parsing hook: [udev]
  -> Parsing hook: [pata]
  -> Parsing hook: [scsi]
  -> Parsing hook: [sata]
  -> Parsing hook: [filesystems]
  -> Parsing hook: [usbinput]
  -> Parsing hook: [fsck]
==> Generating module dependencies
==> Creating gzip initcpio image: /boot/initramfs-linux-fallback.img
==> Image generation successful
(29/46) upgrading linux-headers                                                                     [##########################################################] 100%
(30/46) upgrading lirc-utils                                                                        [##########################################################] 100%
(31/46) upgrading lucene                                                                            [##########################################################] 100%
(32/46) upgrading man-pages                                                                         [##########################################################] 100%
(33/46) upgrading udev                                                                              [##########################################################] 100%
(34/46) upgrading xorg-server-common                                                                [##########################################################] 100%
(35/46) upgrading xorg-server                                                                       [##########################################################] 100%
(36/46) upgrading nvidia-utils                                                                      [##########################################################] 100%
(37/46) upgrading nvidia                                                                            [##########################################################] 100%
(38/46) upgrading opencl-nvidia                                                                     [##########################################################] 100%
(39/46) upgrading qt                                                                                [##########################################################] 100%
(40/46) upgrading recoll                                                                            [##########################################################] 100%
(41/46) upgrading smbclient                                                                         [##########################################################] 100%
(42/46) upgrading smplayer                                                                          [##########################################################] 100%
(43/46) upgrading thunderbird                                                                       [##########################################################] 100%
(44/46) upgrading xfce4-power-manager                                                               [##########################################################] 100%
(45/46) upgrading xfsprogs                                                                          [##########################################################] 100%
(46/46) upgrading xorg-server-xnest                                                                 [##########################################################] 100%

Check out my website for info on the Arch Linux Installer

Offline

#12 2012-04-16 13:20:08

ziopera
Member
Registered: 2006-10-27
Posts: 8

Re: Unable to update jre7-openjdk-headless

Lone_Wolf wrote:
ziopera wrote:

simone@orion:~$ LANG="C" pacman -Qo /etc/profile.d/jre.{c,}sh
/etc/profile.d/jre.csh is owned by jre 7-3
/etc/profile.d/jre.sh is owned by jre 7-3

That is a weird packagename,
i have searched for jre and official repos only have jre7-openjdk & jre7-openjdk-headerless .
Aur does have a package jre , but that uses version 7u3 .

what does

pacman -Qs jre 

output ?


That's the output from the command pacman -Qs jre

local/jre 7-3
    Oracle's Java Runtime Environment

Offline

#13 2012-04-18 21:36:29

alculquicondor
Member
Registered: 2011-06-05
Posts: 23
Website

Re: Unable to update jre7-openjdk-headless

I solved the problem first updating JRE http://aur.archlinux.org/packages.php?ID=51908 but manually (packer doesn't recognize 7u3 as a higher version). Then, pacman -Syu worked without problems.

Offline

#14 2013-05-20 16:09:36

12o
Member
Registered: 2009-05-19
Posts: 79

Re: Unable to update jre7-openjdk-headless

Just noticed this was an old thread. Making a new one. My apologies.

Last edited by 12o (2013-05-20 16:10:49)


Silence is golden.... duct tape is silver.

Time flies like the wind,
Fruit flies like bananas.

Offline

Board footer

Powered by FluxBB